Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area.inline
Class InlineArea

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.inline.InlineArea

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Anchor, InlineBlockParent, InlineParent, Leader, Space, SpaceArea, Viewport, WordArea

public class InlineArea
extends Area

Inline Area This area is for all inline areas that can be placed in a line area.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `InlineArea.InlineAdjustingInfo` this class stores information about potential adjustments that can be used in order to re-compute adjustments when a page-number or a page-number-citation is resolved

Field Summary
`protected InlineArea.InlineAdjustingInfo` | `adjustingInfo` The adjustment information object
`protected int` | `offset` offset position from before edge of parent area

Fields inherited from class org.apache.fop.area.Area
`bpd, BT, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, LR, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, props, RL, TB`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`InlineArea()`

Method Summary
`void` | `addChildArea(Area childArea)` Set the parent for the child area.
`boolean` | `applyVariationFactor(double variationFactor, int lineStretch, int lineShrink)` recursively apply the variation factor to all descendant areas
`InlineArea.InlineAdjustingInfo` | `getAdjustingInfo()`
`int` | `getOffset()` Get the offset of this inline area.
`Area` | `getParentArea()`
`void` | `handleIPDVariation(int ipdVariation)`
`boolean` | `hasLineThrough()`
`boolean` | `hasOverline()`
`boolean` | `hasUnderline()`
`void` | `increaseIPD(int ipd)` Increase the inline progression dimensions of this area.
`boolean` | `isBlinking()`
`protected void` | `notifyIPDVariation(int ipdVariation)` notify the parent area about the ipd variation of this area or of a descendant area
`void` | `setAdjustingInfo(int stretch, int shrink, int adjustment)` Create a new adjustment information object
`void` | `setAdjustment(int adjustment)` Modify the adjustment value in the adjustment information object
`void` | `setOffset(int offset)` Set the offset of this inline area.
`void` | `setParentArea(Area parentArea)`

Methods inherited from class org.apache.fop.area.Area
`addTrait, getAllocBPD, getAllocIPD, getAreaClass, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, setAreaClass, setBPD, setIPD, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### offset

    protected int offset

  offset position from before edge of parent area

### adjustingInfo

    protected InlineArea.InlineAdjustingInfo adjustingInfo

  The adjustment information object

Constructor Detail

### InlineArea

    public InlineArea()

Method Detail

### getAdjustingInfo

    public InlineArea.InlineAdjustingInfo getAdjustingInfo()

  Returns:
    the adjustment information object

### setAdjustingInfo

    public void setAdjustingInfo(int stretch,
                                 int shrink,
                                 int adjustment)

  Create a new adjustment information object

  Parameters:
    `stretch` - the available space for stretching
    `shrink` - the available space for shrinking
    `adjustment` - space adjustment type

### setAdjustment

    public void setAdjustment(int adjustment)

  Modify the adjustment value in the adjustment information object

  Parameters:
    `adjustment` - the new adjustment value

### increaseIPD

    public void increaseIPD(int ipd)

  Increase the inline progression dimensions of this area. This is used for inline parent areas that contain mulitple child areas.

  Parameters:
    `ipd` - the inline progression to increase by

### setOffset

    public void setOffset(int offset)

  Set the offset of this inline area. This is used to set the offset of the inline area which is relative to the before edge of the parent area.

  Parameters:
    `offset` - the offset

### getOffset

    public int getOffset()

  Get the offset of this inline area. This returns the offset of the inline area which is relative to the before edge of the parent area.

  Returns:
    the offset

### setParentArea

    public void setParentArea(Area parentArea)

  Parameters:
    `parentArea` - The parentArea to set.

### getParentArea

    public Area getParentArea()

  Returns:
    Returns the parentArea.

### addChildArea

    public void addChildArea(Area childArea)

  Set the parent for the child area. Add a child to this area. The default is to do nothing. Subclasses must override to do something if they can have child areas.

  Overrides:
    `addChildArea` in class `Area`
  Parameters:
    `childArea` - the child area to add

### hasUnderline

    public boolean hasUnderline()

  Returns:
    true if the inline area is underlined.

### hasOverline

    public boolean hasOverline()

  Returns:
    true if the inline area is overlined.

### hasLineThrough

    public boolean hasLineThrough()

  Returns:
    true if the inline area has a line through.

### isBlinking

    public boolean isBlinking()

  Returns:
    true if the inline area is blinking.

### applyVariationFactor

    public boolean applyVariationFactor(double variationFactor,
                                        int lineStretch,
                                        int lineShrink)

  recursively apply the variation factor to all descendant areas

  Parameters:
    `variationFactor` - the variation factor that must be applied to adjustments
    `lineStretch` - the total stretch of the line
    `lineShrink` - the total shrink of the line
  Returns:
    true if there is an UnresolvedArea descendant

### handleIPDVariation

    public void handleIPDVariation(int ipdVariation)

### notifyIPDVariation

    protected void notifyIPDVariation(int ipdVariation)

  notify the parent area about the ipd variation of this area or of a descendant area

  Parameters:
    `ipdVariation` - the difference between new and old ipd

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.